Subject: Re: bug#60585: 30.0.50; global-text-scale-adjust shrinks window (was not before), was: Re: bug#52493: 29.0.50; Setting Inconsolata up in init.el makes default face rendered wrong

From: Dmitry Gutov <[email-masked]>
Date: Tue, 17 Jan 2023 19:35:37 +0200

On 17/01/2023 12:04, martin rudalics wrote:
>  > Thanks, this one reminds me of some previous patch in the respective
>  > bug report: repeated set-frace-attribute are stable WRT the frame
>  > size, but resizing the frame with the mouse and then evaling the
>  > set-frame-attribute form resizes the frame (in the smaller direction).
> 
> That's the one where we then tried to make the frame larger by an entire
> size increment minus the scaling residue.  Which means that here we
> should make the frame larger by an entire size increment in the hope
> that we size it back when we get notified.  Please try again.

This time around, the frame jumps in size a little bit, even time after 
I first resize with a mouse and then evaluate the set-face-attribute form.